#jQuery Validate-form plugin
##JS:
```
$('form').validate();
```
##HTML
```
<form action="/action.php" method="post" data-type="ajax">
      <div class="form-group">
          <label>email</label>
          <input type="text" name="n1" class="form-control" placeholder="Enter email" data-require="email">
      </div>
      <div class="form-group">
          <label>phone</label>
          <input type="text" name="n2" class="form-control" placeholder="Enter phone" data-require="phone">
      </div>
      <div class="form-group">
          <label>url</label>
          <input type="text" name="n3" class="form-control" placeholder="Enter url" data-require="url">
      </div>
      <button type="submit" class="btn btn-primary">Submit</button>
  </form>
  ```
Attribut data-require use in options.validators.reg
##All options
  ```
  var options = {
      type    : "standart",
      usesweetalerts : true,
      success_texth : "Спасибо!",
      success_textp : "Ваше сообщение отправлено!",
      style_user : "",
      style_base : "&lt;style&gt;.input_error{color:red!important;}&lt;/style&gt;",
      class_error   : "input_error",
      validators : {
          reg : {
              email	    : /^([a-z0-9_\.\-\+]+)@([\da-z\.\-]+)\.([a-z\.]{2,6})$/i,
              url		    : /(ftp|http|https):\/\/(\w+:{0,1}\w*@)?(\S+)(:[0-9]+)?(\/|\/([\w#!:.?+=&%@!\-\/]))?/,
              phone	    : /^(\d|\+\d ?)?( )?\(?\d{3}\)?(-| )?\d{3}(-| )?\d{2}(-| )?\d{2}$/,
              date	    : /^(\d{1,2})\/(\d{1,2})\/(\d{4})$/,
              ru          : /^[А-яЁё]+$/,
              en  	    : /^[A-Za-z]+$/
          },
          text : {
              email   : "Введите корректный email",
              url     : "Например: http://site.ru",
              phone   : "Введите корректный номер",
              date    : "Формат - дд/мм/гггг",
              ru      : "Только русские символы",
              en      : "Только англ. символы"
          }
      },
      callbacks : {

      }
  }
```
##Callbacks and change text-error
*When form submit, form add to window.send_form
*Second param is text
```
$('form').validate({
    type : "ajax",
    callbacks : {
        ajax_beforesend : function(){
        
        },
        ajax_success : function(data){
            $(window.send_form).find('*:visible').val('');
        }
    }
},{
    email : "Input correct e-mail"
});
```

